# Generated by Django 4.2.2 on 2023-06-20 06:22

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='TegroMoneyOrder',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('shop_id', models.CharField(blank=True, max_length=50, null=True, verbose_name='Shop identifier')),
                ('order_id', models.IntegerField(blank=True, null=True, verbose_name='Tegro money order identifier')),
                ('payment_id', models.CharField(blank=True, max_length=50, null=True, verbose_name='Shop order identifier')),
                ('date_created', models.DateTimeField(blank=True, null=True, verbose_name='Order time created')),
                ('date_payed', models.DateTimeField(blank=True, null=True, verbose_name='Order time payed')),
                ('payment_system', models.IntegerField(blank=True, null=True, verbose_name='Payment system identifier')),
                ('currency', models.CharField(blank=True, max_length=10, null=True, verbose_name='Currency')),
                ('currency_id', models.IntegerField(blank=True, null=True, verbose_name='Currency identifier')),
                ('amount', models.DecimalField(blank=True, decimal_places=8, max_digits=19, null=True, verbose_name='Amount')),
                ('fee', models.DecimalField(blank=True, decimal_places=8, max_digits=19, null=True, verbose_name='Fee')),
                ('status', models.IntegerField(blank=True, null=True, verbose_name='Order status')),
                ('test_order', models.IntegerField(blank=True, null=True, verbose_name='Test order flag')),
            ],
            options={
                'verbose_name': 'Order',
                'verbose_name_plural': 'Orders',
                'ordering': ['shop_id', 'date_created'],
            },
        ),
        migrations.CreateModel(
            name='TegroMoneyOrderReceipt',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=50, null=True, verbose_name='Item name')),
                ('count', models.DecimalField(blank=True, decimal_places=8, max_digits=19, null=True, verbose_name='Item count')),
                ('price', models.DecimalField(blank=True, decimal_places=8, max_digits=19, null=True, verbose_name='Item price')),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='django_tegro_money.tegromoneyorder', verbose_name='Order')),
            ],
            options={
                'verbose_name': 'Order shopping cart data',
                'verbose_name_plural': 'Order shopping cart data',
                'ordering': ['order'],
            },
        ),
        migrations.CreateModel(
            name='TegroMoneyOrderFields',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('field_name', models.CharField(blank=True, max_length=50, null=True, verbose_name='Field name')),
                ('field_value', models.CharField(blank=True, max_length=50, null=True, verbose_name='Field value')),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='django_tegro_money.tegromoneyorder', verbose_name='Order')),
            ],
            options={
                'verbose_name': 'Order buyer details',
                'verbose_name_plural': 'Order buyer details',
                'ordering': ['order'],
            },
        ),
        migrations.AddIndex(
            model_name='tegromoneyorder',
            index=models.Index(fields=['shop_id', 'date_created'], name='order_created'),
        ),
        migrations.AddIndex(
            model_name='tegromoneyorder',
            index=models.Index(fields=['shop_id', 'order_id'], name='order_order_id'),
        ),
        migrations.AddIndex(
            model_name='tegromoneyorder',
            index=models.Index(fields=['shop_id', 'payment_id'], name='order_payment_id'),
        ),
        migrations.AddIndex(
            model_name='tegromoneyorder',
            index=models.Index(fields=['shop_id', 'status', 'date_created'], name='order_status_created'),
        ),
    ]
